# ConstructorResolver

class ConstructorResolver < T : Any > : MemberResolver < Constructor < T >, T >

Resolving Constructor.

#### Parameters

self

the member to be resolved.

## Properties

self
Link copied to clipboard
open override val self : Constructor < T >

## Functions

asResolver
Link copied to clipboard
fun MemberResolver <*, *>. asResolver (): MemberResolver <*, *>

This is a fake function call chains to avoid internal calls to themselves.

copy
Link copied to clipboard
open override fun copy (): ConstructorResolver < T >

Create a copy of this resolver.

create
Link copied to clipboard
fun create (vararg args: Any ?): T

Create a new instance of the class represented by this constructor.

createAsType
Link copied to clipboard
inline fun < T : Any > createAsType (vararg args: Any ?): T

Create a new instance of the class represented by this constructor and cast it to the specified type T.

createAsTypeQuietly
Link copied to clipboard
inline fun < T : Any > createAsTypeQuietly (vararg args: Any ?): T ?

Create a new instance of the class represented by this constructor and cast it to the specified type T and ignore any exceptions.

createQuietly
Link copied to clipboard
fun createQuietly (vararg args: Any ?): T ?

Create a new instance of the class represented by this constructor and ignore any exceptions.